<?php
  ///////////////////////////////////////////////////
  //Отключить резервирование
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////
  require_once "utils/chlang_osn.php";

  $title = $TEXT['aut-title-info'];

  require_once "config.php";
  require_once "utils/functions.php";
  require_once "utils/top.php";

  if($result2['administrator'] == 0) {puterror2($result2['skin'],$TEXT['error-loginform2']); require_once "utils/bottom.php"; exit();}

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-book9'].$TEXT['book-rez-no'];
  $who = $result2['familiya']." ".$result2['name'];
  
  $query_body = "SELECT `book_id`,  `book_name` FROM `tbl_book` WHERE `zakazano` = '1' AND DATEDIFF(CURRENT_DATE(),`data_zakaza`) > 0";
     $result_body = mysqli_query($dbcnx,$query_body);
     if(!$result_body) {puterror2($result2['skin'],$TEXT['error-tbl3']); require_once "utils/bottom.php"; exit();}
       $result_rows = mysqli_num_rows($result_body);
       if($result_rows > 0)
         {
         while($result_body_book= mysqli_fetch_array($result_body))
           {
             $what = $result_body_book['book_name'];

             $query_upd = mysqli_query($dbcnx,"UPDATE `tbl_book` SET `zakazano`='0', `data_zakaza`='1970-01-01', `user_id_zak`='0', `user_id`='0' WHERE `book_id`='".$result_body_book['book_id']."' ");
             if(!$query_upd) {puterror2($result2['skin'],$TEXT['error-tbl3']); require_once "utils/bottom.php"; exit();}
               else {
                     $query_log = mysqli_query($dbcnx,"INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')");
                     if(!$query_log) {puterror2($result2['skin'],$TEXT['error-log']); require_once "utils/bottom.php"; exit();}
                    }
           }
         }

    echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=reserv-search.php' />
          </head></html>";
require_once "utils/bottom.php";
?>